tpserv(8)

NAME
tpserv - program that implements a proxy

SYNOPSIS
tpserv [-V] [-v] [-h] [-D] [-c] [-p port]

DESCRIPTION
tpserv is a program that implements a proxy, a attack or whatever you want to call it.

It just listens on DST_PORT_PROXY that is configurable with -p option and receives the reassembled data stream from kernel.

Currently this program supports a mode in which echoes everything back to the src host or the mode in that it connects to destination to which the client wanted to connect and relay everything from client to that destination and everything from destination to the client. See the limitations on how the connection will look like on destination host.

It is possible to insert some code to this program to modify data from/to source/destination (but this you will have to do yourself).

OPTIONS

-h  Show help message and exit.

-V  Print version.

-v  Verbose mode (prints connections).

-vv Even more verbose (prints connections and received/send packets).

-D  Daemon mode.

-c  Connection mode (default is echo mode).

-p [port]
    Set DST_PORT_PROXY listen.

EXAMPLES

HOW IT WORKS TOGETHER - HUNT/TRANSPROXY/TPSERV

  Here is small example how to use together hunt, transproxy and tpserv.

  1. At the beginning run tpsetup/transproxy program.
     The default destination port is 7000 and redirecting port is 7044.

  2. Run tpserv/tpserv -v (or -vv).

  3. Run hunt and enter arp spoof daemon menu. Do not start the daemon unless
     you modify the tpsetup/transproxy script "i" insert the single arp spoof
     in this order:
          - IP address (name) of your gateway or IP address (name) of destination
            host if the host is in the same IP subnet as source host.
          - as fake mac address enter 'my' or enter your interface MAC address.
          - enter IP address (name) of source host (client) from which you want
            to receive data - connections.
          - optionally enter refresh interval "t" test if the spoof was successful.

  4. from the source host try to run telnet 1.1.1.1 7000 (or telnet
     destination_name 7000) and type some chars. The chars should be echoed back
     by tpserv program.

  You can then play little bit with DST_PORT setting in setup/transproxy script
  and/or -c option of tpserv program or change tpserv to modify data going
  from/to source/destination.

SEE ALSO
hunt(8), transproxy(8)

AUTHOR
tpserv was written by Pavel Krauz <kra@gncz.cz>.

This manual page was written by Braulio Henrique Marques Souto <braulio@disroot.org> for the Debian project (but may be used by others).